Lintian::Processable::Changelog::Version(3)

NAME
Lintian::Processable::Changelog::Version - Lintian interface to source package data collection

SYNOPSIS
    my ($name, $type, $dir) = ('foobar', 'source', '/path/to/lab-entry');
    my $collect = Lintian::Processable::Changelog::Version->new($name);
    if ($collect->native) {
        print "Package is native\n";
    }

DESCRIPTION
Lintian::Processable::Changelog::Version provides an interface to package data for source packages. It implements data collection methods specific to source packages.

This module is in its infancy. Most of Lintian still reads all data from files in the laboratory whenever that data is needed and generates that data via collect scripts. The goal is to eventually access all data about source packages via this module so that the module can cache data where appropriate and possibly retire collect scripts in favor of caching that data in memory.

INSTANCE METHODS

changelog_version
    Returns a fully parsed Lintian::Inspect::Changelog::Version for the source package's version string.

AUTHOR
Originally written by Russ Allbery <rra@debian.org> for Lintian. Amended by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)